<?php 
require_once('../modelos/Cuadrilla.php');

$cuadrilla=new Cuadrilla();

$idpersona_cuadrilla=isset($_POST["idpersona_cuadrilla"])? limpiarCadena($_POST["idpersona_cuadrilla"]):"";
$idusuario=isset($_POST["idusuario"])? limpiarCadena($_POST["idusuario"]):"";
$idpersona=isset($_POST["idpersona"])? limpiarCadena($_POST["idpersona"]):"";
$fecha_ingreso=isset($_POST["fecha_ingreso"])? limpiarCadena($_POST["fecha_ingreso"]):"";
$fecha_salida=isset($_POST["fecha_salida"])? limpiarCadena($_POST["fecha_salida"]):"";


switch ($_GET["op"])
{
    case 'guardaryeditar':
        if(empty($idpersona_cuadrilla))
        {
          $rspta=$cuadrilla->insertar($idusuario,$idpersona,$fecha_ingreso,$fecha_salida);
          echo $rspta ? "Cuadrilla Registrado" : "Cuadrilla no se pudo registrar";
        }
        else {
            $rspta=$cuadrilla->editar($idpersona_cuadrilla,$idusuario,$idpersona,$fecha_ingreso,$fecha_salida);
            echo $rspta ? "Cuadrilla Actualizada" : "Cuadrilla no se pudo actualizar";
        }
      break;
  
      case 'mostrar':
        $rspta=$cuadrilla->mostrar($idpersona_cuadrilla);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;
  
      case 'eliminar':
        $rspta=$cuadrilla->eliminar($idcuadrilla);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;
  
      case 'listar':
        $rspta=$cuadrilla->listar();
        //Vamos a declarar un array
        $data=Array();
        while($reg=$rspta->fetch_object())
        {
          $data[]=array(
            "0"=>$reg->usuario,
            "1"=>$reg->persona,
            "2"=>$reg->fecha_ingreso, 
            "3"=>$reg->fecha_salida,          
            "4"=>'<a href="create.php?idpersona_cuadrilla=' . $reg->idpersona_cuadrilla . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>' .
                 ' <button class="btn btn-danger btn-xs btn-flat" onclick="eliminar(' . $reg->idpersona_cuadrilla . ')"><i class="fas fa-trash-alt"></i></button>'
          );
        }
        $results= array(
          "sEcho"=>1, //Informacion para el datatable
          "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
          "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
          "aaData"=>$data);
        echo json_encode($results);
  
      break;

    
}